/* IdiotPaintPPC_CW9.h */

/* Includes */
#include <AppleEvents.h>
#include <QuickDraw.h>
#include <Windows.h>
#include <Fonts.h>
#include <QDOffscreen.h>
#include <Picker.h>
#include <math.h>
#include "SoundHelper.h"

/* Defines */
#define MacHack 96
#define MINUS_ONE_PTR (void *) -1L
#define FRONT MINUS_ONE_PTR
#define OUR_WINDOW CREATOR
#define CREATOR 'sHeL'
#define PTR(x) ((void *) (x))
/* Byte manipulation--very handy */
#define LSwapWords(L) L = ((L) >> 16)
#define ISwapBytes(I) I = ((I) >> 8)
#define HiWrd(L) (((L) >> 16) & 0xFFFF)
#define LoWrd(L) ((L) & 0xFFFF)
#define HiByt(I) (((I) >> 8) & 0xFF)
#define LoByt(I) ((I) & 0xFF)
#define LHiHiByt(L) HiByt(HiWrd(L))
#define LHiLoByt(L) LoByt(HiWrd(L))
#define LLoHiByt(L) HiByt(LoWrd(L))
#define LLoLoByt(L) LoByt(LoWrd(L))
#define Rand(x) (Random() % (x))
#define NumSecretCredits(sch) (** ((short **) (sch)))

/* Enums */
enum {
	needSystemSeven = 1,
	couldntGetWindow,
	couldntGetMenuBar,
	unexpectedError,
	couldntGetOffscreen,
	couldntStartSoundHelper,
	couldntGetCursor,
	errorAlrt = 128,
	aboutAlrt,
	reallyDoNewAlrt,
	reallyDoCloseAlrt,
	scalageAlrt,
	blowsUpAlrt,
	pictRdWrAlrt = 138,
	genericErrAlrt = 139,
	WINDOW_ID = 128,
	MBAR_ID = 128,
	ERRSTR_ID = 128,
	SLEEPTIME = 60,
	highLevelEvent = 23,
	mApple = 128,
	iAbout = 1,
	mFile = 129,
	iNew = 1,
	iOpen,
	iClose = 4,
	iSave,
	iQuit = 7,
	mEdit = 130,
	iUndo = 1,
	iCut = 3,
	iEditCopy = 4,	// name conflict with i(Pen)Copy
	iPaste = 5,
	iClear = 6,
	iSelectAll = 7,
	iShowClipboard = 9,
	mPaint = 131,
	iErase = 1,
	iPenSize = 3,
	iPenMode,
	iPenType,
	iFunky = 7,
	iInvert = 9,
	iBlend,
	iFill,
	iFrameGrab,
	mColor = 135,
	iRed = 1,
	iOrange,
	iYellow,
	iGreen,
	iCyan,
	iRobinsEgg,
	iBlue,
	iPurple,
	iLavender,
	iMagenta,
	iTan,
	iBrown,
	iBlack,
	iDarkGray,
	iLightGray,
	iWhite,	
	iPickColor = 18,
	dPenSize = 130,
	dPenMode,
	dPenType,
	boringNormal = 0,
	randomColor = 1,
	randomSize,
	randomColorSize,
	mSound = 132,
	iSoundtrack = 1,
	iBeep,
	iOhWow,
	iBlart,
	iGlitch,
	iWEBN,
	iKerblooie,
	iStopMusic = 9,
	sSoundtrack = 128,
	sOhWow,
	sBlart,
	sGlitch,
	sWEBN,
	sKerblooie,
	secretCredits = 129,
	fillCursorID = 128
};

typedef enum Tool
{
	tPaint,
	tFill
} Tool;

/* Typedefs */
typedef ProcessSerialNumber PSN, *PSNPtr;
typedef struct ColorSave
{
	RGBColor saveFore;
	RGBColor saveBack;
}
ColorSave;

/* Globals */
CWindowPtr gWindow;
Boolean gInBackgnd,
        gDone,
        gSHNeedsIdle;
GWorldPtr gOffscreen;
short gPenType,
      gPenSize,
      gPenMode,
      soundTrackPlay,
      gPictFileRefNum;
RGBColor gPenColor;
long ref[4], soundtrackRef;
Rect gDefWinSize, gMaxWinSize;
PicHandle gPict;
CQDProcs gCQDProcs;
Point gMaxSizeLoc;
CursHandle gTheCursor, gFillCursor;
Tool gTool; 

/*\\\\\\\\\\\\\\\\\\\\\\\\*/
/*//////////Moof!////////*/
/*\\\\\\\\\\\\\\\\\\\\\\\\*/
