/*
	debug_video.h
	a header file for PowerOS
	copyright 1996-1997 by Ben Martz
	all rights reserved world wide

	ANY AND ALL MODIFICATIONS TO THIS SOURCE MUST CREDIT THE ORIGINAL
	AUTHOR, BEN MARTZ (benmartz@ic.net), AND MUST BE GIVEN TO THE AUTHOR
	FOR INTEGRATION INTO THE MAIN PowerOS SOURCE TREE. THANK YOU FOR YOUR
	COOPERATION!
*/

#ifndef ___DEBUG_VIDEO___
#define ___DEBUG_VIDEO___

typedef struct {
	char	*baseaddr;
	short	rowbytes;
	short	depth;
	short	width, height;
} VideoPrivateData, *VideoPrivatePtr;

void	vinit(char *baseaddr, short rowbytes, short depth, short width, short height);

void	vputpixel(short h, short v, u_long value);

void	vscrollup(short pixels);

char	vgetdepth(void);
short	vgetwidth(void);
short	vgetheight(void);

#endif
