/*
	boot.h
	Application-Based Booter for PowerOS and OpenOS
	copyright 1996-1997 by Ben Martz
	all rights reserved world wide

	ANY AND ALL MODIFICATIONS TO THIS SOURCE MUST CREDIT THE ORIGINAL
	AUTHOR, BEN MARTZ (benmartz@ic.net), AND MUST BE GIVEN TO THE AUTHOR
	FOR INTEGRATION INTO THE MAIN PowerOS SOURCE TREE. THANK YOU FOR YOUR
	COOPERATION!
*/

typedef	unsigned char	u_char;
typedef	unsigned short	u_short;
typedef	unsigned long	u_long;

void	boot(void);
void	UpdateStatus(unsigned char *string);
void	EnableSuperCode(void);

/* this allows us to call the 68K EnableSuperCode CR */
typedef void (*EnableSuperCodeFunc)(void);
typedef UniversalProcPtr EnableSuperCodeUPP;
enum{
	uppEnableSuperCodeInfo = kCStackBased
};
#define NewEnableSuperCode(userRoutine)		\
		(EnableSuperCodeUPP) NewRoutineDescriptor((ProcPtr)(userRoutine), uppEnableSuperCodeInfo, kM68kISA)
